# https://github.com/bokysan/docker-postfix/blob/master/helm/mail/values.yaml
service:
  type: ClusterIP
  port: 587

# We don't attach a PVC, meaning messages may get lost when the pod is restarted,
# but that's okay for us.
persistence:
  enabled: false

recreateOnRedeploy: false

container:
  postfix:
    securityContext:
      privileged: false
      allowPrivilegeEscalation: false

readinessProbe:
  periodSeconds: 60
livenessProbe:
  periodSeconds: 60

config:
  general:
    TZ: "UTC"
    LOG_FORMAT: "json"
    ALLOW_EMPTY_SENDER_DOMAINS: "true"
    ALLOWED_SENDER_DOMAINS: "oceanbox.io"
    RELAYHOST: "[smtp.office365.com]:587"
    RELAYHOST_USERNAME: "gitea@oceanbox.io"
    XOAUTH2_CLIENT_ID: "00c73c4a-1ad5-477d-b773-d5d63986061e"
    XOAUTH2_SECRET: "3E18Q~ONNftFcCmHIHZmPbLtVqwLDBSCwI9hGagV"
    XOAUTH2_TOKEN_ENDPOINT: https://login.microsoftonline.com/3f737008-e9a0-4485-9d27-40329d288089/oauth2/v2.0/token
    # XOAUTH2_INITIAL_ACCESS_TOKEN: ""
    # XOAUTH2_INITIAL_REFRESH_TOKEN: ""
    XOAUTH2_SYSLOG_ON_FAILURE: "no"
    XOAUTH2_FULL_TRACE: "no"
  postfix:
    smtp_tls_security_level: "encrypt"

resources:
  limits:
    cpu: 200m
    memory: 200Mi
  requests:
    cpu: 50m
    memory: 50Mi
